Bug 117742 - [maintainer-update] net-mgmt/nagios: Update to 2.10
[maintainer-update] net-mgmt/nagios: Update to 2.10
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
Depends on:
  Show dependency treegraph
Reported: 2007-11-01 12:30 UTC by jarrod
Modified: 2007-12-12 13:57 UTC (History)
0 users

See Also:

net-mgmt-nagios-2.10.diff (5.27 KB, patch)
2007-11-01 12:30 UTC, jarrod
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jarrod 2007-11-01 12:30:04 UTC
Update to 2.10:
- Fix for SIGTERMs being seen as SIGEXITs, non-logging of SIGTERMs/shutdowns
- Minor fix for notification timeout log messages
- Fix for not logging passive host check results
- Minor bug fixes in CGIs
- Fix for a segfault when processing passive host check results with empty
- Fix for incorrect latency calculation for passive service checks
- Bug fix with attempting to access an uninitalized mutex if external commands
  are disabled
- Fix for keeping service checks in the event queue when active service checks
  are disabled globally
- Fix for a potential cross site scripting vulnerability in the CGIs
- Program version is now displayed in CGIs

In addition to application updates, the port now includes the CONFLICTS flag to
prevent installation on hosts running Nagios 1.x or the current development
stream of 3.x.  A sync of pkg-message.in from net-mgmt/nagios-devel corrects a
few typos and changes default sample Apache config to deny by default.

Fix: Downloadable diff from:
Comment 1 Martin Wilke freebsd_committer 2007-11-07 12:55:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-12-12 13:57:56 UTC
State Changed
From-To: open->closed

Committed. Thanks!